package cn.com.infosec.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.Map;

public class ConsoleLogger {
   private static Date now = new Date();
   private static SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
   public static boolean isPrintST;
   public static boolean isDebug;
   public static boolean isSave;
   private static int projectID;

   public static void logException(Throwable e, String info) {
      now.setTime(System.currentTimeMillis());
      String var2 = format.format(now);
      System.out.println("---------------Infosec(" + var2 + ")----------------");
      System.out.println(info);
      System.out.println("An exception catched: " + e.toString());
      if (isPrintST) {
         System.out.println("Full stacktrace as below:");
         e.printStackTrace(System.out);
         System.out.flush();
      }

      System.out.println("-----------------------------------------------------------");
   }

   public static void logException(Throwable e) {
      now.setTime(System.currentTimeMillis());
      String var1 = format.format(now);
      System.out.println("---------------Infosec(" + var1 + ")----------------");
      System.out.println("An Exception catched:" + e.toString());
      if (isPrintST) {
         System.out.println("Full stacktrace as below:");
         e.printStackTrace(System.out);
         System.out.flush();
      }

      System.out.println("----------------------------------------------------------");
   }

   public static void logBinary(String title, byte[] bs) {
      if (isDebug) {
         now.setTime(System.currentTimeMillis());
         String var2 = format.format(now);
         System.out.println("---------------Infosec(" + var2 + ")----------------");
         if (bs != null) {
            System.out.println(title + "(" + bs.length + "):");
            int title1 = 0;
            int var5 = bs.length;

            while(title1 < var5) {
               int var3;
               if ((var3 = bs[title1] & 255) < 16) {
                  System.out.print("0" + Integer.toString(var3, 16) + " ");
               } else {
                  System.out.print(Integer.toString(var3, 16) + " ");
               }

               if (++title1 % 32 == 0) {
                  System.out.print("\n");
               }
            }

            System.out.print("\n");
         } else {
            System.out.println(title + "(0):");
         }

         System.out.println("----------------------------------------------------------");
      }
   }

   public static void saveBinary(String param0, byte[] param1) {
      // $FF: Couldn't be decompiled
   }

   public static void saveReaded(String param0, byte[] param1, byte[] param2, byte param3) {
      // $FF: Couldn't be decompiled
   }

   public static void logStringForce(String msg) {
      now.setTime(System.currentTimeMillis());
      String var1 = format.format(now);
      StringBuffer var2;
      StringBuffer var10000 = var2 = new StringBuffer;
      var2.<init>();
      var2.append("---------------Infosec(").append(var1).append(")----------------\n");
      var10000.append(msg).append("\n");
      var10000.append("----------------------------------------------------------\n");
      System.out.print(var2.toString());
   }

   public static void logString(byte[] msg) {
      if (isDebug) {
         now.setTime(System.currentTimeMillis());
         String var1 = format.format(now);
         StringBuffer var2;
         StringBuffer var10000 = var2 = new StringBuffer;
         var10000.<init>();
         var10000.append("---------------Infosec(").append(var1).append(")----------------\n");
         var10000.append(new String(msg)).append("\n");
         var10000.append("----------------------------------------------------------\n");
         System.out.print(var2.toString());
      }
   }

   public static void logString(String msg) {
      if (isDebug) {
         now.setTime(System.currentTimeMillis());
         String var1 = format.format(now);
         StringBuffer var2;
         StringBuffer var10000 = var2 = new StringBuffer;
         var2.<init>();
         var2.append("---------------Infosec(").append(var1).append(")----------------\n");
         var10000.append(msg).append("\n");
         var10000.append("----------------------------------------------------------\n");
         System.out.print(var2.toString());
      }
   }

   public static void logString(String msg, int pid) {
      if (isDebug) {
         if (pid == (pid = projectID) || pid < 0) {
            now.setTime(System.currentTimeMillis());
            String pid1 = format.format(now);
            System.out.println("---------------Infosec(" + pid1 + ")----------------");
            System.out.println(msg);
            System.out.println("----------------------------------------------------------");
         }

      }
   }

   public static void logArray(Object[] objs) {
      if (isDebug) {
         now.setTime(System.currentTimeMillis());
         String var1 = format.format(now);
         System.out.println("---------------Infosec(" + var1 + ")----------------");
         StringBuffer var4;
         StringBuffer var10001 = var4 = new StringBuffer;
         var10001.<init>();
         var10001.append("[");
         int var2 = 0;

         for(int var3 = objs.length; var2 < var3; ++var2) {
            var4.append(" \"").append(objs[var2].toString()).append("\"");
         }

         var4.append("]");
         System.out.println(var4.toString());
         System.out.println("----------------------------------------------------------");
      }
   }

   public static void logMap(Map m) {
      if (isDebug) {
         now.setTime(System.currentTimeMillis());
         String var1 = format.format(now);
         System.out.println("---------------Infosec(" + var1 + ")----------------");
         StringBuffer var4;
         StringBuffer var10001 = var4 = new StringBuffer;
         var10001.<init>();
         var10001.append("[");
         Iterator var2 = m.keySet().iterator();

         while(var2.hasNext()) {
            Object var3 = var2.next();
            var4.append(" \"").append(var3.toString()).append("=").append(m.get(var3).toString()).append("\"");
         }

         var4.append("]");
         System.out.println(var4.toString());
         System.out.println("----------------------------------------------------------");
      }
   }
}
